Merge branch 'MDL-46267-master' of git://github.com/junpataleta/moodle
authorJake Dallimore <jake@moodle.com>
Mon, 29 Jul 2019 03:37:56 +0000 (11:37 +0800)
committerJake Dallimore <jake@moodle.com>
Mon, 29 Jul 2019 03:37:56 +0000 (11:37 +0800)
1  2 
lib/db/upgrade.php
lib/upgrade.txt
version.php

@@@ -3431,21 -3422,5 +3431,27 @@@ function xmldb_main_upgrade($oldversion
          upgrade_main_savepoint(true, 2019072200.00);
      }
  
 +    if ($oldversion < 2019072500.01) {
 +        // Remove the "popup" processor from the list of default processors for the messagecontactrequests notification.
 +        $oldloggedinconfig = get_config('message', 'message_provider_moodle_messagecontactrequests_loggedin');
 +        $oldloggedoffconfig = get_config('message', 'message_provider_moodle_messagecontactrequests_loggedoff');
 +        $newloggedinconfig = implode(',', array_filter(explode(',', $oldloggedinconfig), function($value) {
 +            return $value != 'popup';
 +        }));
 +        $newloggedoffconfig = implode(',', array_filter(explode(',', $oldloggedoffconfig), function($value) {
 +            return $value != 'popup';
 +        }));
 +        set_config('message_provider_moodle_messagecontactrequests_loggedin', $newloggedinconfig, 'message');
 +        set_config('message_provider_moodle_messagecontactrequests_loggedoff', $newloggedoffconfig, 'message');
 +
 +        upgrade_main_savepoint(true, 2019072500.01);
 +    }
 +
++    if ($oldversion < 2019072500.03) {
++        unset_config('httpswwwroot');
++
++        upgrade_main_savepoint(true, 2019072500.03);
++    }
++
      return true;
  }
diff --cc lib/upgrade.txt
@@@ -20,8 -22,8 +22,10 @@@ information provided here is intended e
      at least a single checkbox item is selected or not.
  * Final deprecation (removal) of the core/modal_confirm dialogue.
  * Upgrade scssphp to v1.0.2, This involves renaming classes from Leafo => ScssPhp as the repo has changed.
 +* The methods get_local_path_from_storedfile and get_remote_path_from_storedfile in lib/filestore/file_system.php
 +  are now public. If you are overriding these then you will need to change your methods to public in your class.
+ * $CFG->httpswwwroot has been removed. It is no longer necessary as loginhttps has already been removed and it's no longer being
+   used anywhere in core.
  
  === 3.7 ===
  
diff --cc version.php
@@@ -29,7 -29,7 +29,7 @@@
  
  defined('MOODLE_INTERNAL') || die();
  
- $version  = 2019072500.02;              // YYYYMMDD      = weekly release date of this DEV branch.
 -$version  = 2019072200.00;              // YYYYMMDD      = weekly release date of this DEV branch.
++$version  = 2019072500.03;              // YYYYMMDD      = weekly release date of this DEV branch.
                                          //         RR    = release increments - 00 in DEV branches.
                                          //           .XX = incremental changes.